import { jsx } from "react/jsx-runtime";
import { TokenOXEN as TokenOXEN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOXEN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "OXEN", "data-name": "TokenOXEN", ...props, children: /* @__PURE__ */ jsx(TokenOXEN$1, { variant }) });
  }
);
TokenOXEN.displayName = "TokenOXEN";
Object.assign(TokenOXEN, { isGdsIcon: true });
export {
  TokenOXEN
};
